VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties
VisimBox.FileSystem Class Reference

Filesystem manager - allows loading / saving files from archives or disk with automatic patching. More...

Inheritance diagram for VisimBox.FileSystem:

List of all members.

## Public Member Functions
bool | Initialize ()
string | GetRelativePath (string path)
void | Close ()
| Cleanup on closing.
void | Dispose ()
void | RegisterAllFiles ()
| Opens all archives and readies them for using. In essence enumerates all archives in the working directory, all files in all sub-directories in the working directory (does NOT enumerate files directly in the working directory, as these files are either binaries, archives or files not managed by the filesystem. In case of conflict with archives and normal files always uses normal files as primary sources. If some file is in more archives, newest one (based on the date and time of the archive) will be used Use only for the simplest applications.
string[] | EnumerateFiles ()
bool | FileExists (string file)
| Checks existence of the file inside the filesystem.
Stream | GetFile (string file)
| Opens file from FS for reading and returns stream to use.
Stream | WriteFile (string file)
## Protected Member Functions
string | ClipStart (string path)
## Properties
string | StartPath`[get]`

## Detailed Description

Filesystem manager - allows loading / saving files from archives or disk with automatic patching.

## Member Function Documentation

string VisimBox.FileSystem.ClipStart | ( | string | path | ) | `[protected]`

void VisimBox.FileSystem.Close | ( |  | ) |

Cleanup on closing.

void VisimBox.FileSystem.Dispose | ( |  | ) |

string [] VisimBox.FileSystem.EnumerateFiles | ( |  | ) |

bool VisimBox.FileSystem.FileExists | ( | string | file | ) |

Checks existence of the file inside the filesystem.

Parameters:

  file | name of the file with full path

Returns:
  True if file is in the FS

Stream VisimBox.FileSystem.GetFile | ( | string | file | ) |

Opens file from FS for reading and returns stream to use.

Parameters:

  file | Name of the file to open

Returns:

string VisimBox.FileSystem.GetRelativePath | ( | string | path | ) |

bool VisimBox.FileSystem.Initialize | ( |  | ) |

void VisimBox.FileSystem.RegisterAllFiles | ( |  | ) |

Opens all archives and readies them for using. In essence enumerates all archives in the working directory, all files in all sub-directories in the working directory (does NOT enumerate files directly in the working directory, as these files are either binaries, archives or files not managed by the filesystem. In case of conflict with archives and normal files always uses normal files as primary sources. If some file is in more archives, newest one (based on the date and time of the archive) will be used Use only for the simplest applications.

Stream VisimBox.FileSystem.WriteFile | ( | string | file | ) |

## Property Documentation

string VisimBox.FileSystem.StartPath`[get]`

The documentation for this class was generated from the following file:

- FileSystem.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events